-- Name:PhanTime:Author:Phantasmagor:Revision:1
-------------------------------------------------------------------------------
-- Script PhanTime

-- GLOBALS
Global( "wxMainPanel", nil )
Global( "wtTimeText", nil )
Global( "Time" , {} )


--=============================================================================--

function OnEventChatMessage( params )

	--wxMainPanel:Show(true)

	Time = params.time
	wtTimeText:SetVal( "hours", common.FormatInt( Time.h , "%02d" ) )
	wtTimeText:SetVal( "minutes", common.FormatInt( Time.m , "%02d" ) )
	wtTimeText:SetVal( "seconds", common.FormatInt( Time.s , "%02d" ) )

end


function OnEventSecondTimer( )

	if (Time.s == 59) then
		Time.s = 0
		if (Time.m == 59) then
			Time.m = 0
			if (Time.h == 23) then
				Time.h = 0
			else
				Time.h = Time.h + 1
			end
		else
			Time.m = Time.m + 1
		end
	else
		Time.s = Time.s + 1
	end

		wtTimeText:SetVal( "hours", common.FormatInt( Time.h , "%02d" ) )
		wtTimeText:SetVal( "minutes", common.FormatInt( Time.m , "%02d" ) )
		wtTimeText:SetVal( "seconds", common.FormatInt( Time.s , "%02d" ) )

end

function OnToggleUI( params )

	wxMainPanel:Show( params.visible )

end

function OnEscMenu( params )

	wxMainPanel:Show( params.visible )

end

---------------------------------------------------------------------------------
-- INITIALIZATION
---------------------------------------------------------------------------------
function Init()

	common.RegisterEventHandler( OnEventChatMessage, "EVENT_CHAT_MESSAGE" )
	common.RegisterEventHandler( OnEventSecondTimer, "EVENT_SECOND_TIMER" )
	-- ALT+Z Hidden
	common.RegisterEventHandler( OnToggleUI, "SCRIPT_TOGGLE_UI")
	common.RegisterEventHandler( OnEscMenu, "SCRIPT_ESCAPE_MENU")

	group.ChatSay( common.FormatInt( 0 , "%02d" ) )
	
	wxMainPanel = mainForm:GetChildChecked( "MainPanel", false )
	wxMainPanel:Show(true)
	wtTimeText = wxMainPanel:GetChildChecked( "TimeText", false )
end

--=============================================================================--

Init()

--=============================================================================--
